`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    09:15:57 05/16/2007 
// Design Name: 
// Module Name:    prescaler 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module prescaler(CLK, DIVCLK);
	input CLK;
	output DIVCLK;
	
	reg divclk;
	reg [1:0]prescale4=0;
	reg [7:0]prescale=0; 				//prescaler (BAUD generator)
	
	always@(posedge CLK)				//div4
		begin
		prescale4<=prescale4+1;
		end
	
	always@(posedge prescale4[1])		//div217
		begin
			prescale <= prescale + 1;
			if (prescale==8'hD8)
				begin
				prescale<=8'h00;
				divclk=1;
				end
			else divclk=0;
		end 

	assign DIVCLK=divclk;

endmodule
